complexType "DeliverableObligations"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 23 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 23 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | accruedInterest?, category?, notSubordinated?, specifiedCurrency?, notSovereignLender?, notDomesticCurrency?, notDomesticLaw?, listed?, notContingent?, notDomesticIssuance?, assignableLoan?, consentRequiredLoan?, directLoanParticipation?, transferable?, maximumMaturity?, acceleratedOrMatured?, notBearer?, (fullFaithAndCreditObLiability | generalFundObligationLiability | revenueObligationLiability)?, indirectLoanParticipation?, excluded?, othReferenceEntityObligations?
</...>

Content Model Elements (23):

  acceleratedOrMatured,
  accruedInterest (in deliverableObligations),
  assignableLoan,
  category (in deliverableObligations),
  consentRequiredLoan,
  directLoanParticipation,
  excluded (in deliverableObligations),
  fullFaithAndCreditObLiability (in deliverableObligations),
  generalFundObligationLiability (in deliverableObligations),
  indirectLoanParticipation,
  listed (in deliverableObligations),
  maximumMaturity,
  notBearer,
  notContingent (in deliverableObligations),
  notDomesticCurrency (in deliverableObligations),
  notDomesticIssuance (in deliverableObligations),
  notDomesticLaw (in deliverableObligations),
  notSovereignLender (in deliverableObligations),
  notSubordinated (in deliverableObligations),
  othReferenceEntityObligations (in deliverableObligations),
  revenueObligationLiability (in deliverableObligations),
  specifiedCurrency (in deliverableObligations),
  transferable

All Direct / Indirect Based Elements (1):

  deliverableObligations

Known Usage Locations

- As direct type of elements (1):
  deliverableObligations

XML Source (w/o annotations (23); see within schema source)

<xsd:complexType name="DeliverableObligations"> <xsd:sequence> <xsd:element minOccurs="0" name="accruedInterest" type="xsd:boolean"/> <xsd:element minOccurs="0" name="category" type="ObligationCategoryEnum"/> <xsd:element minOccurs="0" name="notSubordinated" type="xsd:boolean"/> <xsd:element minOccurs="0" name="specifiedCurrency" type="SpecifiedCurrency"/> <xsd:element minOccurs="0" name="notSovereignLender" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notDomesticCurrency" type="NotDomesticCurrency"/> <xsd:element minOccurs="0" name="notDomesticLaw" type="xsd:boolean"/> <xsd:element minOccurs="0" name="listed" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notContingent" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notDomesticIssuance" type="xsd:boolean"/> <xsd:element minOccurs="0" name="assignableLoan" type="PCDeliverableObligationCharac"/> <xsd:element minOccurs="0" name="consentRequiredLoan" type="PCDeliverableObligationCharac"/> <xsd:element minOccurs="0" name="directLoanParticipation" type="LoanParticipation"/> <xsd:element minOccurs="0" name="transferable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="maximumMaturity" type="Period"/> <xsd:element minOccurs="0" name="acceleratedOrMatured" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notBearer" type="xsd:boolean"/> <xsd:choice minOccurs="0"> <xsd:element name="fullFaithAndCreditObLiability" type="xsd:boolean"/> <xsd:element name="generalFundObligationLiability" type="xsd:boolean"/> <xsd:element name="revenueObligationLiability" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="indirectLoanParticipation" type="LoanParticipation"/> <xsd:element minOccurs="0" name="excluded" type="xsd:string"/> <xsd:element minOccurs="0" name="othReferenceEntityObligations" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 23/23)
acceleratedOrMatured

  Type: | xsd:boolean, predefined, simple content

  A deliverable obligation characteristic. An obligation at time of default is due to mature and due to be repaid, or as a result of downgrade/bankruptcy is due to be repaid as a result of an acceleration clause. ISDA 2003 Term: Accelerated or Matured
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="acceleratedOrMatured" type="xsd:boolean"/>

accruedInterest

  Type: | xsd:boolean, predefined, simple content

  Indicates whether accrued interest is included (true) or not (false). For cash settlement this specifies whether quotations should be obtained inclusive or not of accrued interest. For physical settlement this specifies whether the buyer should deliver the obligation with an outstanding principal balance that includes or excludes accrued interest. ISDA 2003 Term: Include/Exclude Accrued Interest
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accruedInterest" type="xsd:boolean"/>

assignableLoan

  Type: | PCDeliverableObligationCharac, complex content

  A deliverable obligation characteristic. A loan that is freely assignable to a bank or financial institution without the consent of the Reference Entity or the guarantor, if any, of the loan (or the consent of the applicable borrower if a Reference Entity is guaranteeing the loan) or any agent. ISDA 2003 Term: Assignable Loan
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assignableLoan" type="PCDeliverableObligationCharac"/>

category

  Type: | ObligationCategoryEnum, simple content

  Used in both obligations and deliverable obligations to represent a class or type of securities which apply. ISDA 2003 Term: Obligation Category/Deliverable Obligation Category
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payment" | - | ISDA term "Payment". See: http://www.FpML.org
  "BorrowedMoney" | - | ISDA term "Borrowed Money". See: http://www.FpML.org
  "ReferenceObligationsOnly" | - | ISDA term "Reference Obligations Only". See: http://www.FpML.org
  "Bond" | - | ISDA term "Bond". See: http://www.FpML.org
  "Loan" | - | ISDA term "Loan". See: http://www.FpML.org
  "BondOrLoan" | - | ISDA term "Bond or Loan". See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="category" type="ObligationCategoryEnum"/>

consentRequiredLoan

  Type: | PCDeliverableObligationCharac, complex content

  A deliverable obligation characteristic. A loan that is capable of being assigned with the consent of the Reference Entity or the guarantor, if any, of the loan or any agent. ISDA 2003 Term: Consent Required Loan
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="consentRequiredLoan" type="PCDeliverableObligationCharac"/>

directLoanParticipation

  Type: | LoanParticipation, complex content

  A deliverable obligation characteristic. A loan with a participation agreement whereby the buyer is capable of creating, or procuring the creation of, a contractual right in favour of the seller that provides the seller with recourse to the participation seller for a specified share in any payments due under the relevant loan which are received by the participation seller. ISDA 2003 Term: Direct Loan Participation
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="directLoanParticipation" type="LoanParticipation"/>

excluded

  Type: | xsd:string, predefined, simple content

  A free format string to specify any excluded obligations or deliverable obligations, as the case may be, of the reference entity or excluded types of obligations or deliverable obligations. ISDA 2003 Term: Excluded Obligations/Excluded Deliverable Obligations
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="excluded" type="xsd:string"/>

fullFaithAndCreditObLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: Full Faith and Credit Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fullFaithAndCreditObLiability" type="xsd:boolean"/>

generalFundObligationLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: General Fund Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="generalFundObligationLiability" type="xsd:boolean"/>

indirectLoanParticipation

  Type: | LoanParticipation, complex content

  ISDA 1999 Term: Indirect Loan Participation. NOTE: Only applicable as a deliverable obligation under ISDA Credit 1999.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indirectLoanParticipation" type="LoanParticipation"/>

listed

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Indicates whether or not the obligation is quoted, listed or ordinarily purchased and sold on an exchange. ISDA 2003 Term: Listed
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="listed" type="xsd:boolean"/>

maximumMaturity

  Type: | Period, complex content

  A deliverable obligation characteristic. An obligation that has a remaining maturity from the Physical Settlement Date of not greater than the period specified. ISDA 2003 Term: Maximum Maturity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumMaturity" type="Period"/>

notBearer

  Type: | xsd:boolean, predefined, simple content

  A deliverable obligation characteristic. Any obligation that is not a bearer instrument. This applies to Bonds only and is meant to avoid tax, fraud and security/delivery provisions that can potentially be associated with Bearer Bonds. ISDA 2003 Term: Not Bearer
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notBearer" type="xsd:boolean"/>

notContingent

  Type: | xsd:boolean, predefined, simple content

  A deliverable obligation characteristic. In essence Not Contingent means the repayment of principal cannot be dependant on a formula/index, i.e. to prevent the risk of being delivered an instrument that may never pay any element of principal, and to ensure that the obligation is interest bearing (on a regular schedule). ISDA 2003 Term: Not Contingent
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notContingent" type="xsd:boolean"/>

notDomesticCurrency

  Type: | NotDomesticCurrency, complex content

  An obligation and deliverable obligation characteristic. Any obligation that is payable in any currency other than the domestic currency. Domestic currency is either the currency so specified or, if no currency is specified, the currency of (a) the reference entity, if the reference entity is a sovereign, or (b) the jurisdiction in which the relevant reference entity is organised, if the reference entity is not a sovereign. ISDA 2003 Term: Not Domestic Currency
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticCurrency" type="NotDomesticCurrency"/>

notDomesticIssuance

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Any obligation other than an obligation that was intended to be offered for sale primarily in the domestic market of the relevant Reference Entity. This specifies that the obligation must be an internationally recognized bond. ISDA 2003 Term: Not Domestic Issuance
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticIssuance" type="xsd:boolean"/>

notDomesticLaw

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. If the reference entity is a Sovereign, this means any obligation that is not subject to the laws of the reference entity. If the reference entity is not a sovereign, this means any obligation that is not subject to the laws of the jurisdiction of the reference entity. ISDA 2003 Term: Not Domestic Law
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticLaw" type="xsd:boolean"/>

notSovereignLender

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Any obligation that is not primarily (majority) owed to a Sovereign or Supranational Organization. ISDA 2003 Term: Not Sovereign Lender
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notSovereignLender" type="xsd:boolean"/>

notSubordinated

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. An obligation that ranks at least equal with the most senior Reference Obligation in priority of payment or, if no Reference Obligation is specified in the related Confirmation, the obligations of the Reference Entity that are senior. ISDA 2003 Term: Not Subordinated
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notSubordinated" type="xsd:boolean"/>

othReferenceEntityObligations

  Type: | xsd:string, predefined, simple content

  This element is used to specify any other obligations of a reference entity in both obligations and deliverable obligations. The obligations can be specified free-form. ISDA 2003 Term: Other Obligations of a Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="othReferenceEntityObligations" type="xsd:string"/>

revenueObligationLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: Revenue Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="revenueObligationLiability" type="xsd:boolean"/>

specifiedCurrency

  Type: | SpecifiedCurrency, complex content

  An obligation and deliverable obligation characteristic. The currency or currencies in which an obligation or deliverable obligation must be payable. ISDA 2003 Term: Specified Currency
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="specifiedCurrency" type="SpecifiedCurrency"/>

transferable

  Type: | xsd:boolean, predefined, simple content

  A deliverable obligation characteristic. An obligation that is transferable to institutional investors without any contractual, statutory or regulatory restrictions. ISDA 2003 Term: Transferable
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transferable" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.